Bug 327286 - [patch] allow multibrush to use an angled axis and have an option to show the axis
Summary: [patch] allow multibrush to use an angled axis and have an option to show the...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Applications
Component: Tools (show other bugs)
Version: unspecified
Platform: unspecified All
: NOR wishlist
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-07 17:39 UTC by Michael Martini
Modified: 2013-11-08 09:12 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
multibrush patch (7.08 KB, patch)
2013-11-07 17:40 UTC, Michael Martini
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Martini 2013-11-07 17:39:14 UTC
This feature allows multibrush to function with an axis that is rotated:
this means for the mirror mode it will use the rotated axis to mirror over.
Additionally a checkbox is added to allow the user to display the axis being used for mirroring, symmetry and translation.

Reproducible: Always
Comment 1 Michael Martini 2013-11-07 17:40:38 UTC
Created attachment 83411 [details]
multibrush patch

This patch, allows an angled axis and an option to display the axis
Comment 2 Halla Rempt 2013-11-08 09:12:57 UTC
Git commit a28c739cee2ed4199aac0b3251cf5dc7621b23e4 by Boudewijn Rempt.
Committed on 08/11/2013 at 09:11.
Pushed by rempt into branch 'master'.

Allow multibrush to use an angled axis and have an option to show the axis

This feature allows multibrush to function with an axis that is rotated:
this means for the mirror mode it will use the rotated axis to mirror
over. Additionally a checkbox is added to allow the user to display the
axis being used for mirroring, symmetry and translation.

Awesome patch by Michael Martini. Thanks!
CCMAIL: wlingflute@gmail.com

M  +53   -5    krita/plugins/tools/defaulttools/kis_tool_multihand.cpp
M  +6    -0    krita/plugins/tools/defaulttools/kis_tool_multihand.h

http://commits.kde.org/calligra/a28c739cee2ed4199aac0b3251cf5dc7621b23e4